### Method

# FwupdPlugin Plugin add_device_udev_subsystem

since: 1.9.3

#### Declaration [src]

    void
    fu_plugin_add_device_udev_subsystem (
      FuPlugin* self,
      const gchar* subsystem
    )

#### Description [src]

Add this plugin as a possible handler of devices with this udev subsystem. Use `fu_plugin_add_udev_subsystem()` if you just want to ensure the subsystem is watched.

Plugins can use this method only in fu_plugin_init().

Available since: 1.9.3

#### Parameters

`subsystem`

  Type: `const gchar*`

  A subsystem name, e.g. `pciport`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.